<template>
    <div>
        <alert type='warning' v-if='! confirmed'>
            <transition name='fade' mode='out-in'>
                <p v-if='! loading' key='1'>
                    Участието Ви все още не е потвърдено. <a @click='confirm' href="#" class="font-medium underline text-yellow-700 hover:text-yellow-600">Моля, потвърдете го тук.</a>
                </p>
                <scale-loader v-else :loading='true' color="rgba(251, 191, 36, var(--tw-text-opacity))" height="12px" width="4px" key='2'></scale-loader>
            </transition>
        </alert>
    </div>
</template>

<script>
import Alert from './Alert'
import ScaleLoader from 'vue-spinner/src/ScaleLoader'

export default {
    name: 'Confirmation',
    data: () => ({
        loading: false,
        confirmed: false,
    }),
    components: {
        Alert,
        ScaleLoader
    },
    methods: {
        async confirm() {
            this.loading = true;
        }
    }
}
</script>